import * as plugins from '../ts/portablecontract.plugins.js';

export interface IParagraph {
  uniqueId: string;
  parent: IParagraph | null;
  title: string;
  content: string;
}

export interface IRole {
  id: string;
  name: string;
  description: string;
}

export interface IInvolvedParty {
  role: string;
  contact: plugins.tsclass.business.IContact;
}

export interface IPortableContract {
  title: string;
  context: string;
  availableRoles: IRole[];
  involvedParties: IInvolvedParty[];
  priorContracts: IPortableContract[];
  paragraphs: IParagraph[];
}