# Changelog

## 2024-12-18 - 1.0.10 - fix(test)
Add initial test for portablecontract


## 2024-12-18 - 1.0.9 - fix(ts_interfaces)
Resolved missing exports in plugins.ts

- Added export statements in ts_interfaces/plugins.ts to resolve module issues.

## 2024-12-18 - 1.0.8 - fix(core)
Fixed export paths in package configuration

- Updated exports paths in package.json for proper module resolution.
- Fixed export statement in ts/index.ts to reference the correct path for interface exports.

## 2024-12-18 - 1.0.7 - fix(project)
Corrected misalignment in file structure and package metadata.

- Updated the file export path in ts/index.ts to correct interface export location.
- Transferred the interfaces from ts/interfaces/index.ts to ts_interfaces/index.ts maintaining consistency in folder structure.
- Synchronized package description and keywords between package.json and npmextra.json.
- Ensured proper build script path in package.json.

## 2024-12-18 - 1.0.6 - fix(core)
No code changes detected.


## 2024-12-18 - 1.0.5 - fix(core)
Corrected package and npm extra configuration to ensure consistent naming.

- Updated 'name' field in package.json from '@signature.digital/portablecontract' to '@signature.digital/tools'.
- Updated 'gitrepo' in npmextra.json from 'portablecontract' to 'tools'.
- Updated 'npmPackagename' in npmextra.json from '@signature.digital/portablecontract' to '@signature.digital/tools'.

## 2023-11-22 to 2023-11-28 - 1.0.1 to 1.0.4 - core updates
Fixes and updates in the core component.

- Updated core module to enhance performance and fix minor bugs in version 1.0.1
- Subsequent updates to core module for improved stability in version 1.0.2
- Applied additional fixes and improvements in version 1.0.3
- Finalized core updates in version 1.0.4
